- name:  biosversion group
  class: group
  group: path
  members:
    - meta: PATH
      path: /xyz/openbmc_project/software/bios_active

- name:  biosversion property
  class: group
  group: property
  type: string
  members:
    - interface: xyz.openbmc_project.Software.Version
      meta: PROPERTY
      property: Version

- name: watch biosversion
  class: watch
  watch: property
  paths: biosversion group
  properties: biosversion property
  callback: biosversion callback
  ignore_start_callback: true

- name: biosversion callback
  class: callback
  callback: method
  service: org.freedesktop.systemd1
  path: /org/freedesktop/systemd1
  interface: org.freedesktop.systemd1.Manager
  method: StartUnit
  args:
    - value: write-bios-version.service
      type: string
    - value: replace
      type: string
